<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUye ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfUye
 * @subpackage Arrays
 */
class ArrayOfUye extends AbstractStructArrayBase
{
    /**
     * The Uye
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Uye[]
     */
    public $Uye;
    /**
     * Constructor method for ArrayOfUye
     * @uses ArrayOfUye::setUye()
     * @param \StructType\Uye[] $uye
     */
    public function __construct(array $uye = array())
    {
        $this
            ->setUye($uye);
    }
    /**
     * Get Uye value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Uye[]|null
     */
    public function getUye()
    {
        return isset($this->Uye) ? $this->Uye : null;
    }
    /**
     * This method is responsible for validating the values passed to the setUye method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUye method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUyeForArrayConstraintsFromSetUye(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfUyeUyeItem) {
            // validation for constraint: itemType
            if (!$arrayOfUyeUyeItem instanceof \StructType\Uye) {
                $invalidValues[] = is_object($arrayOfUyeUyeItem) ? get_class($arrayOfUyeUyeItem) : sprintf('%s(%s)', gettype($arrayOfUyeUyeItem), var_export($arrayOfUyeUyeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Uye property can only contain items of type \StructType\Uye, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Uye value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Uye[] $uye
     * @return \ArrayType\ArrayOfUye
     */
    public function setUye(array $uye = array())
    {
        // validation for constraint: array
        if ('' !== ($uyeArrayErrorMessage = self::validateUyeForArrayConstraintsFromSetUye($uye))) {
            throw new \InvalidArgumentException($uyeArrayErrorMessage, __LINE__);
        }
        if (is_null($uye) || (is_array($uye) && empty($uye))) {
            unset($this->Uye);
        } else {
            $this->Uye = $uye;
        }
        return $this;
    }
    /**
     * Add item to Uye value
     * @throws \InvalidArgumentException
     * @param \StructType\Uye $item
     * @return \ArrayType\ArrayOfUye
     */
    public function addToUye(\StructType\Uye $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Uye) {
            throw new \InvalidArgumentException(sprintf('The Uye property can only contain items of type \StructType\Uye, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Uye[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Uye|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Uye|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Uye|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Uye|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Uye|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Uye
     */
    public function getAttributeName()
    {
        return 'Uye';
    }
}
